%?mingw_package_header

Name:           mingw-ftplib
Version:        4.0
Release:        %mkrel 3
Summary:        MinGW Library of FTP routines

License:        Artistic 2.0
Group:          Development/Other
URL:            http://nbpfaus.net/~pfau/ftplib/
Source0:        http://nbpfaus.net/~pfau/ftplib/ftplib-%{version}.tar.gz
Source1:        ftplib-rc.rc
Patch0:         ftplib-3.1-1-modernize.patch
Patch1:         ftplib-4.0-mingw.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
ftplib is a set of routines that implement the FTP protocol. They allow
applications to create and access remote files through function calls
instead of needing to fork and exec an interactive ftp client program.
This library is cross-compiled for MinGW.


%package -n mingw32-ftplib
Summary:        MinGW Library of FTP routines


%description -n mingw32-ftplib
ftplib is a set of routines that implement the FTP protocol. They allow
applications to create and access remote files through function calls
instead of needing to fork and exec an interactive ftp client program.
This library is cross-compiled for MinGW.


%package -n mingw64-ftplib
Summary:        MinGW Library of FTP routines


%description -n mingw64-ftplib
ftplib is a set of routines that implement the FTP protocol. They allow
applications to create and access remote files through function calls
instead of needing to fork and exec an interactive ftp client program.
This library is cross-compiled for MinGW.


%?mingw_debug_package


%prep
%setup -q -n ftplib-%{version}
%patch0 -p1
%patch1 -p1
cp -p %{SOURCE1} src/


%build
cd src/
mkdir build_win{32,64}
ln -s %{_builddir}/%{buildsubdir}/src/*.c ./build_win32/
ln -s %{_builddir}/%{buildsubdir}/src/*.h ./build_win32/
ln -s %{_builddir}/%{buildsubdir}/src/*.c ./build_win64/
ln -s %{_builddir}/%{buildsubdir}/src/*.h ./build_win64/
ln -s %{_builddir}/%{buildsubdir}/src/*.rc ./build_win32/
ln -s %{_builddir}/%{buildsubdir}/src/*.rc ./build_win64/
ln -s %{_builddir}/%{buildsubdir}/src/Makefile ./build_win32/
ln -s %{_builddir}/%{buildsubdir}/src/Makefile ./build_win64/
%{mingw32_env}
make -C build_win32 libftp.dll
%{mingw64_env}
make -C build_win64 libftp.dll


%install
mkdir -p $RPM_BUILD_ROOT/%{mingw32_bindir}
mkdir -p $RPM_BUILD_ROOT/%{mingw32_libdir}
mkdir -p $RPM_BUILD_ROOT/%{mingw32_includedir}
mkdir -p $RPM_BUILD_ROOT/%{mingw64_bindir}
mkdir -p $RPM_BUILD_ROOT/%{mingw64_libdir}
mkdir -p $RPM_BUILD_ROOT/%{mingw64_includedir}
cd src/
cp -p build_win32/libftp.dll $RPM_BUILD_ROOT/%{mingw32_bindir}
cp -p build_win32/libftp.dll.a $RPM_BUILD_ROOT/%{mingw32_libdir}
cp -p build_win32/ftplib.h $RPM_BUILD_ROOT/%{mingw32_includedir}
cp -p build_win64/libftp.dll $RPM_BUILD_ROOT/%{mingw64_bindir}
cp -p build_win64/libftp.dll.a $RPM_BUILD_ROOT/%{mingw64_libdir}
cp -p build_win64/ftplib.h $RPM_BUILD_ROOT/%{mingw64_includedir}


%files -n mingw32-ftplib
%license LICENSE
# Docs are provided by native package
%{mingw32_bindir}/libftp.dll
%{mingw32_libdir}/libftp.dll.a
%{mingw32_includedir}/ftplib.h


%files -n mingw64-ftplib
%license LICENSE
# Docs are provided by native package
%{mingw64_bindir}/libftp.dll
%{mingw64_libdir}/libftp.dll.a
%{mingw64_includedir}/ftplib.h




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 4.0-3.mga8
+ Revision: 1492078
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 4.0-2.mga7
+ Revision: 1264272
- Mageia 7 Mass Rebuild

* Wed May 11 2016 tv <tv> 4.0-1.mga6
+ Revision: 1012689
- new release

* Tue Feb 02 2016 umeabot <umeabot> 3.1-12.mga6
+ Revision: 932596
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1-11.mga5
+ Revision: 751263
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-10.mga5
+ Revision: 682433
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.1-9.mga4
+ Revision: 536170
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 3.1-8.mga4
+ Revision: 483590
- imported package mingw-ftplib


* Mon Jul 29 2013 Michael Cronenworth <mike@cchtml.com> - 3.1-8
- Modernize RPM spec
- Add 64-bit package

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 3.1-5
- Rebuild against the mingw-w64 toolchain

* Thu Feb  9 2012 Michael Cronenworth <mike@cchtml.com> - 3.1-4
- Add COPYING file.

* Mon Jan 30 2012 Michael Cronenworth <mike@cchtml.com> - 3.1-3
- Update patch to work across arches.

* Fri Dec  2 2011 Michael Cronenworth <mike@cchtml.com> - 3.1-2
- Updated to new packaging policy.

* Wed Nov 23 2011 Michael Cronenworth <mike@cchtml.com> - 3.1-1
- Initial RPM release.

